<sqtm-core-entity-view-wrapper [sqtmCoreViewId]="'sprint-view'">
  @if (componentData$ | async; as componentData) {
    <div class="flex full-height full-width neutral-background-color">
      <div class="flex-column full-width">
        <sqtm-core-entity-view-header
          class="full-width content-head p-t-10 p-r-20 m-b-20"
          [attachmentList]="componentData.sprint.attachmentList"
          [entityPath]="componentData.sprint.path"
          (attachmentBadgeClickEvent)="toggleAttachmentPanel()"
          id="sprint-view-header"
        >
          <div projection="actions" class="m-t-10 width-40">
            <sqtm-core-fold-button></sqtm-core-fold-button>
          </div>
          <div projection="reference" class="reference">
            <sqtm-core-editable-text-field
              [attr.data-test-field-id]="'entity-reference'"
              [sqtmCoreEntityViewEditableTextField]="'reference'"
              ngDefaultControl
              [layout]="'compact'"
              placeholder="{{
                'sqtm-core.sprint.reference.placeholder' | translate
              }}"
              [trimValue]="true"
            >
            </sqtm-core-editable-text-field>
          </div>
          <div projection="capsule" class="sqtm-core-capsules-container">
            <sqtm-core-capsule-information
              [attr.data-test-capsule-id]="'status'"
              [informationData]="
                getSprintStatusInformationData(componentData.sprint.status)
              "
            >
            </sqtm-core-capsule-information>
            @if (componentData.permissions.canLink) {
              <button
                #startStopButton
                class="ant-btn ant-btn-primary m-l-auto m-r-10"
                [attr.data-test-button-id]="'start-stop-sprint'"
                (click)="startOrStopSprint($event, componentData.sprint)"
              >
                {{ getTextToDisplay(componentData.sprint.status) | translate }}
              </button>
            }
          </div>
          @if (statusAndRemoteStatusDontMatch) {
            <div
              projection="error-message"
              class="m-t-5"
              [attr.data-test-field-id]="'different-status-message'"
            >
              <i
                nz-icon
                nzType="sqtm-core-generic:exclamation"
                class="sqtm-core-warning-message table-icon-size"
              >
              </i>
              <span class="sqtm-core-error-message">
                {{ differentStatusMessage | translate }}
              </span>
            </div>
          }
        </sqtm-core-entity-view-header>

        <div class="flex-row full-width full-height">
          <div class="flex-fixed-size side-bar">
            <div class="anchor-bar">
              <sqtm-core-anchor>
                <sqtm-core-anchor-group [id]="'content'">
                  <sqtm-core-anchor-link
                    sqtmCoreDefaultAnchorLink
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'information'"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.information.plural' | translate
                    "
                    [iconName]="'sqtm-core-generic:information'"
                  >
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>

                <sqtm-core-anchor-group [id]="'sprint-req-versions'">
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'linked-requirements'"
                    [nzTooltipTitle]="
                      'sqtm-core.sprint.req-version.title' | translate
                    "
                    [iconName]="'sqtm-core-nav:requirement-workspace'"
                  >
                    @if (componentData.sprint.nbSprintReqVersions > 0) {
                      <span class="anchor-counter">{{
                        componentData.sprint.nbSprintReqVersions
                      }}</span>
                    }
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>

                <sqtm-core-anchor-group [id]="'overall-execution-plan'">
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'overall-execution-plan'"
                    [nzTooltipTitle]="
                      'sqtm-core.sprint.overall-execution-plan.title'
                        | translate
                    "
                    [iconName]="'sqtm-core-campaign:list'"
                  >
                    @if (componentData.sprint.nbTestPlanItems > 0) {
                      <span class="anchor-counter">{{
                        componentData.sprint.nbTestPlanItems
                      }}</span>
                    }
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>

                <sqtm-core-anchor-group [id]="'issues'">
                  <sqtm-core-anchor-link
                    sqtmCoreDefaultAnchorLink
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'issues'"
                    [nzTooltipTitle]="
                      'sqtm-core.sprint.issue-execution' | translate
                    "
                    [iconName]="'sqtm-core-administration:bugtracker'"
                    [visible]="componentData.projectData.bugTracker != null"
                  >
                    @if (componentData.sprint.nbIssues > 0) {
                      <span class="anchor-counter">
                        {{ componentData.sprint.nbIssues }}
                      </span>
                    }
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
              </sqtm-core-anchor>
            </div>
          </div>
          <div #content class="content-body full-height full-width">
            <router-outlet></router-outlet>
          </div>
        </div>
      </div>
    </div>

    <sqtm-core-attachment-drawer
      [canAttach]="
        componentData.permissions.canAttach &&
        componentData.milestonesAllowModification &&
        componentData.sprint.status !== SprintStatus.CLOSED.id
      "
    >
    </sqtm-core-attachment-drawer>

    <sqtm-core-drawer
      [localTheme]="requirementWorkspace"
      [isVisible]="componentData.sprint.uiState.openRequirementTreePicker"
      [titleKey]="'sqtm-core.tree-picker.requirement.title'"
      (close)="closeRequirementPicker()"
    >
      <i
        projection="icons"
        nz-icon
        nzType="sqtm-core-generic:help"
        nzTheme="fill"
        class="m-l-10 font-20-px current-workspace-main-color"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.tree-picker.requirement.sprint-req-versions' | translate
        "
      ></i>
      @if (componentData.sprint.uiState.openRequirementTreePicker) {
        <sqtm-core-requirement-picker
          [pickerPersistenceKey]="'bind-req-version-to-sprint'"
        >
        </sqtm-core-requirement-picker>
      }
    </sqtm-core-drawer>
  }
</sqtm-core-entity-view-wrapper>
